<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from tfrsurf.sci using help_from_sci().
 * 
 -->

<refentry xml:id="tfrsurf" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>tfrsurf</refname><refpurpose>extract from a time-frequency representation the biggest energy dots</refpurpose>
  </refnamediv>

<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [tfr2,OrderedSurfaces]=tfrsurf(tfr);
   [tfr2,OrderedSurfaces]=tfrsurf(tfr,threshold);
   [tfr2,OrderedSurfaces]=tfrsurf(tfr,threshold,keep);
   [tfr2,OrderedSurfaces]=tfrsurf(tfr,threshold,keep,trace);
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>TFR       :</term>
      <listitem><para> time-frequency representation.</para></listitem></varlistentry>
   <varlistentry><term>THRESHOLD :</term>
      <listitem><para>a positive scalar: the energy threshold, in %</para></listitem></varlistentry>
   <varlistentry><term>KEEP      :</term>
      <listitem><para>a positive integer value: the number of dots to keep</para></listitem></varlistentry>
   <varlistentry><term>TRACE :</term> <listitem><para> if nonzero, the
   progression of the algorithm is shown (default :
   0).</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
N=256;
sig=fmlin(N,0.1,0.3)+fmlin(N,0.3,0.4)+2*fmlin(N,0.05,0.2).*amgauss(N,190,70);
clf;gcf().color_map= jetcolormap(128);
ax1=gca();
ax1.axes_bounds = [0,0,1,1/3];ax1.tight_limits="on";
plot(sig);title('Signal')

[tfr,t,f]=tfrwv(sig,1:N,128);
ax2=newaxes();ax2.axes_bounds = [0,1/3,1/3,2/3];
ax2.tight_limits="on";
grayplot(t,f,tfr')
title('original tfr');

[tfr2,OrderedSurfaces]=tfrsurf(tfr,5,3);
ax3=newaxes();ax3.axes_bounds = [1/3,1/3,1/3,2/3];
ax3.tight_limits="on";
grayplot(t,f,tfr2')
title('modified tfr');

ax4=newaxes();ax4.axes_bounds = [2/3,1/3,1/3,2/3];
ax4.tight_limits="on";
plot(1:10,OrderedSurfaces(1:10),'-',1:10,OrderedSurfaces(1:10),'o'); //semilogy
title('number of points of the 10 biggest dots');
   ]]></programlisting>
  <scilab:image><![CDATA[
N=256;
sig=fmlin(N,0.1,0.3)+fmlin(N,0.3,0.4)+2*fmlin(N,0.05,0.2).*amgauss(N,190,70);
clf;gcf().color_map= jetcolormap(128);
ax1=gca();
ax1.axes_bounds = [0,0,1,1/3];ax1.tight_limits="on";
plot(sig);title('Signal')

[tfr,t,f]=tfrwv(sig,1:N,128);
ax2=newaxes();ax2.axes_bounds = [0,1/3,1/3,2/3];
ax2.tight_limits="on";
grayplot(t,f,tfr')
title('original tfr');

[tfr2,OrderedSurfaces]=tfrsurf(tfr,5,3);
ax3=newaxes();ax3.axes_bounds = [1/3,1/3,1/3,2/3];
ax3.tight_limits="on";
grayplot(t,f,tfr2')
title('modified tfr');

ax4=newaxes();ax4.axes_bounds = [2/3,1/3,1/3,2/3];
ax4.tight_limits="on";
plot(1:10,OrderedSurfaces(1:10),'-',1:10,OrderedSurfaces(1:10),'o'); //semilogy
title('number of points of the 10 biggest dots');
    ]]></scilab:image>
</refsection>
<refsection>
   <title>See also</title>
   <link linkend="imextract">imextract</link>
</refsection>
<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Aug 2010</member>
   <member>F. Auger, oct 1999</member>
   <member>	Copyright (c) CNRS - France 1999.</member>
   </simplelist>
</refsection>
</refentry>
